<?php

/*

   設定ファイル

*/


// recfriio server を設置したディレクトリ
define( 'HOME', '/var/www/recfriio/' );

// 録画ファイル保存先
// www-data( apache )に対する書き込み権限を与える。
define( 'SPOOL_DIRECTORY', '/tmp' );

// チューナ数
define( 'TUNERNUM', 1 );

// recfriio までのフルパス
define( 'RECFRIIO', '/usr/bin/recfriio' );

// recfrio のオプション
// HDUS ではなくて friio を使っている場合は FRIIOOPT から --hdus を除いた方が良いかもしれない
define( 'FRIIOOPT', '--hdus --b25' );

// TV王国の地域番号
// 例えば自分の地域のアドレスが http://tv.so-net.ne.jp/chart/23.action* なら 23
define( 'AREACODE1', '23' );

// 以下、AREACODE* を定義して番組表を複数表示出来る
define( 'AREACODE2', '' );
define( 'AREACODE3', '' );
define( 'AREACODE4', '' );


// webからデータをダウンロードする時のプロキシ
// http:// ではなくて tcp:// を先頭に付ける (例) define( 'PROXY', 'tcp://192.168.1.100:8080' );
define( 'PROXY', '' );

// 管理者パスワード
define( 'ADMINPASSWD', 'admin' );


//////////////////////

// サスペンド用設定

// あらかじめ sudo visudo で下の設定を追加しておく
//
// %video ALL=(ALL) NOPASSWD: /usr/sbin/pm-suspend
//
// SUSPENDOPT は /usr/lib/hal/scripts/linux/hal-system-power-suspend-linux 等を
// 参考にして自分の環境に合わせる

// サスペンド機能を有功にするなら 1 をセット。無効にするなら 0 をセット
define( 'ENABLESUSPEND', 0 );

// サスペンドコマンド
define( 'SUSPEND', 'sudo /usr/sbin/pm-suspend');

// サスペンドオプション
define( 'SUSPENDOPT', '--quirk-dpms-on --quirk-vbestate-restore --quirk-vbemode-restore --quirk-vga-mode3 --quirk-vbe-post --quirk-reset-brightness' );

// サスペンド実行までの待ち秒数
define( 'SUSPENDSEC', 60 );


//////////////////////

// 以下の項目は必要に応じて設定

// デバッグ表示を行うときは"1"を入れる
define( '_DEBUG', 0 );

// チャンネルテーブル
require('config-channelmap.php');
global $CHANNEL_TABLE;
$CHANNEL_TABLE = $CHANNEL;

// 録画スクリプト名
define( 'RECORD_SCRIPT', 'do-record.sh' );

// 録画設定ファイル名
define( 'SETTINGFILE', 'setting.csv' );

// 録画予約ファイル名
define( 'RESERVFILE', 'reserv.csv' );

// 実行中のrecfriioの状態を記録するファイル
define( 'STATUSFILE', 'status.csv' );

// crontab 登録用ファイル
define( 'CRONTABFILE', 'crontab.txt' );

// ログファイル名
define( 'LOGFILE', 'log.txt' );

// ファイルロック用ディレクトリ
define( 'FILELOCKDIR', 'flock' );

// 録音ロック用ディレクトリ
define( 'RECLOCKDIR', 'rlock' );

// ロック用ディレクトリが LOCKTIMEOUT 秒間消えなかったらディレクトリをを削除する
define( 'LOCKTIMEOUT', '10' );

// recfriioの起動、停止直後に入れるウェイト秒数
// サーバの性能により調節する
define( 'WAITTIME', 1 );

// 予約録画を約 MARGINSEC 秒前に始める ( 0 から 60 )
define( 'MARGINSEC', '15' );

// 動作状況の更新間隔(秒)
define( 'REFRESH', 10 );

// 作業ディレクトリ
// HOMEの下に作成する。 www-data( apache )から書き込みできるようにパーミッションを設定すること
define( 'VARDIR', 'var' );

// webからダウンロードしたファイルのキャッシュディレクトリ
// HOMEの下に作成する。 www-data( apache )から書き込みできるようにパーミッションを設定すること
define( 'CACHEDIR', 'cache' );

// キャッシュディレクトリにファイルを保持する日時
// デフォルトは2週間
define( 'CACHEDAY', 14 );

// webからデータをダウンロードする時のタイムアウト秒数
define( 'TIMEOUT_GET', 10 );

// 最大設定数
define( 'MAXSETTING', 5 );

// 最大録画予約数
define( 'MAXRESERV', 100 );

// 動作状況の最大表示数
define( 'MAXSTATUS', 10 );

// 保存ファイルの拡張子
define( 'FILEEXT', '.ts' );

// kill コマンド
define( 'KILLINTCMD', 'kill -INT' );
define( 'KILLKILLCMD', 'kill -KILL' );

// wget コマンド
define( 'WGET', 'wget' );

// wget のオプション
define( 'WGETOPT', '-T 30 -t 1 -O -' );

// TV王国のアドレス
define( 'TVOKOKU', 'http://tv.so-net.ne.jp' );

// TV王国のアイコンを置いているディレクトリ
define( 'TVOKOKUICON', '/tv/digital/img/btn/' );

// TV王国の共通画像を置いているディレクトリ
define( 'TVOKOKUCOMMONIMG', '/tv/digital/img/common_img/' );

// TV王国の番組表のディレクトリ
define( 'TVOKOKUCHART', '/chart/' );

// 正規表現のバックトラックの最大値
// 上げすぎると落ちるので注意
define( 'BACKTRACK_LIMIT', 300000 );

// サスペンドスクリプト名
define( 'SUSPEND_SCRIPT', 'do-suspend.sh' );

// サスペンド状態ファイル
define( 'SUSPENDFILE', 'suspend.txt' );

?>
