<?php

  /*

    本体

  */

require_once( 'include.php' );

$errmsg = FALSE;


// クッキーを見てパネルを開閉する
$show_main = 'on';
$show_reserv = 'off';
$show_status = 'on';
if( isset( $_COOKIE[ 'main' ] ) ) $show_main = $_COOKIE[ 'main' ];
if( isset( $_COOKIE[ 'reservview' ] ) ) $show_reserv = $_COOKIE[ 'reservview' ];
if( isset( $_COOKIE[ 'statusview' ] ) ) $show_status = $_COOKIE[ 'statusview' ];

show_debug( 'main = '.$show_main );
show_debug( 'reserv = '.$show_reserv );
show_debug( 'status = '.$show_status );

$id = FALSE;
$operate = get_operate( $id, MAXSETTING );

// 録画設定の読み込みと更新
try{

    $settingfile = get_settingfile();
    $setting_array = array();
    if( file_exists( $settingfile  ) ) read_csv( $settingfile, $setting_array );

    // 設定ファイル更新
    if( count( $setting_array ) < MAXSETTING // 初回起動時
        || $operate == OP_REC || $operate == OP_PLAY || $operate == OP_SAVE ){

        // 全ての録画情報更新
        update_setting( $setting_array, $operate, MAXSETTING );

        // 録画スクリプト実行
        if( $operate == OP_REC || $operate == OP_PLAY ){

            $setting = get_setting_by_id( $id, $setting_array );
            exec_recfriio( $operate, $setting );
        }
    }

    // 停止
    // $id には recfriio の PID が入っている
    if( $operate == OP_STOP ) stop_recfriio( $id );

    // サスペンド中止
    // $id にはサスペンドスクリプトの PID が入っている
    if( $operate == OP_STOP_SPD ) stop_suspend( $id );
}
catch( Exception $e ){ $errmsg = $e->getMessage(); }



///////////////////////////////////////////////



// 表示

show_header( FALSE, 'update_view()' );

print(

    '<script language="JavaScript">'.
    "<!--\n".

    // 予約とステータス画面の表示
    'var count_diskinfo = 0;'.
    'var http_diskinfo = false;'.
    'var http_reserv = false;'.
    'var http_status = false;'.

    'function update_diskinfo()'.
    '{'.
    '   if( ! http_diskinfo ) return;'.
    '   if( http_diskinfo.readyState == 4 && http_diskinfo.status == 200 ){'.
    '        document.getElementById( "diskinfo" ).innerHTML = http_diskinfo.responseText;'.
    '    }'.
    '}'.

    'function update_reserv()'.
    '{'.
    '   if( ! http_reserv ) return;'.
    '   if( http_reserv.readyState == 4 && http_reserv.status == 200 ){'.
    '        document.getElementById( "reservview" ).innerHTML = http_reserv.responseText;'.
    '    }'.
    '}'.

    'function update_status()'.
    '{'.
    '   if( ! http_status ) return;'.
    '   if( http_status.readyState == 4 && http_status.status == 200 ){'.
    '        document.getElementById( "statusview" ).innerHTML = http_status.responseText;'.
    '        setTimeout( "update_view()", 1000*'.REFRESH.');'.
    '    }'.
    '}'.

    'function update_view()'.
    '{'.
    '    if( ! http_status && window.XMLHttpRequest ){'.
    '        http_diskinfo = new XMLHttpRequest();'.
    '        http_reserv = new XMLHttpRequest();'.
    '        http_status = new XMLHttpRequest();'.
    '    }'.

    '    if( ! http_status ){'.

    '        try{'.
    '            http_diskinfo = new ActiveXObject( "Msxml2.XMLHTTP" );'.
    '            http_reserv = new ActiveXObject( "Msxml2.XMLHTTP" );'.
    '            http_status = new ActiveXObject( "Msxml2.XMLHTTP" );'.
    '        } catch( e ){}'.
    '    }'.

    '    if( ! http_status ){'.

    '        try{'.
    '            http_diskinfo = new ActiveXObject( "Microsoft.XMLHTTP" );'.
    '            http_reserv = new ActiveXObject( "Microsoft.XMLHTTP" );'.
    '            http_status = new ActiveXObject( "Microsoft.XMLHTTP" );'.
    '        } catch( e ){}'.
    '    }'.

    '    if( http_status ){'.

    '        if( ! count_diskinfo ){'.
    '          http_diskinfo.open( "GET", "./diskinfo.php", true );'.
    '          http_diskinfo.onreadystatechange = update_diskinfo;'.
    '          http_diskinfo.setRequestHeader("If-Modified-Since", "Thu, 01 Jun 1970 00:00:00 GMT" );'.
    '          http_diskinfo.send("");'.
    '        }'.
    '        count_diskinfo += '.REFRESH.';'.
    '        if( count_diskinfo > 60 ) count_diskinfo = 0;'.

    '        http_reserv.open( "GET", "./reserv.php", true );'.
    '        http_reserv.onreadystatechange = update_reserv;'.
    '        http_reserv.setRequestHeader("If-Modified-Since", "Thu, 01 Jun 1970 00:00:00 GMT" );'.
    '        http_reserv.send("");'.

    '        http_status.open( "GET", "./status.php", true );'.
    '        http_status.onreadystatechange = update_status;'.
    '        http_status.setRequestHeader("If-Modified-Since", "Thu, 01 Jun 1970 00:00:00 GMT" );'.
    '        http_status.send("");'.
    '    }'.

    '}'.

    // バークリックでパネル開閉
    'function show_div( ID )'.
    '{'.
    '    if( document.getElementById( ID ).style.display == "block" ){'.
    '        document.getElementById( ID ).style.display = "none";'.
    '        document.getElementById( "toggle"+ID ).innerHTML = "▼";'.
    '        document.cookie = ID+"=off;";'.
    '    }'.
    '    else{'.
    '        document.getElementById( ID ).style.display = "block";'.
    '        document.getElementById( "toggle"+ID ).innerHTML = "▲";'.
    '        document.cookie = ID+"=on;";'.
    '    }'.
    '}'.

    'function show_main(){ show_div( "main" ); }'.
    'function show_reserv(){ show_div( "reservview" ); }'.
    'function show_status(){ show_div( "statusview" ); }'.

    '//-->'.
    '</script>'
);
print( "\n" );


// メニュー
print(
    '<div class="menu">'.
    '<div class="menuitem">'.
    '<a href="./recfriio.php">最新の状態に更新</a> '.
    ' / <a href="./admin.php">管理メニュー</a> '.
    ' / <a href="help/help.html" target="_blank" >ヘルプ表示</a>'.
    ' / <span id="diskinfo"></span>'.
    '</div>'
    );

show_tvprogmenu();

print(
    '</div>'. // menu
    '<div class="clear"></div>'
    );
print( "\n" );

// 操作画面
print(
    '<div class="title" onclick="show_main()" ><div class="name">操作</div><div class="toggle" id="togglemain" >'.
    ( $show_main == 'on' ? "▲" : "▼" ).'</div></div><div class="clear"></div>'.

    '<div id="main" style="display:'.( $show_main == 'on' ? "block" : "none" ).'" >'.
    '<form action="./recfriio.php" method="post">'
    );

show_settingtable( $setting_array, 0, MAXSETTING-1 );

print( 
    '<input type="submit" name="save" value="全て保存">'.
    '</form>'.
    '<br />'.
    '</div>'
    );

show_err( $errmsg );
print( "\n" );


// 録画予約画面
print(
    '<div class="title" onclick="show_reserv()" ><div class="name">録画予約</div><div class="toggle" id="togglereservview" >'.
    ( $show_reserv == 'on' ? "▲" : "▼" ).'</div></div><div class="clear"> </div>'.

    '<div id="reservview" style="display:'.( $show_reserv == 'on' ? "block" : "none" ).'" ></div>'
    );
print( "\n" );


// ステータス画面
print(
    '<div class="title" onclick="show_status()" ><div class="name">動作状況</div><div class="toggle" id="togglestatusview" >'.
    ( $show_status == 'on' ? "▲" : "▼" ).'</div></div><div class="clear"></div>'.

    '<div id="statusview" style="display:'.( $show_status == 'on' ? "block" : "none" ).'" ></div>'
    );
print( "\n" );


show_footer();

?>
