<?php

/*

    録画予約の削除確認、編集、追加画面

*/


require_once( 'include.php' );
require_once( 'librecfriio/tvprog.php' );

$errmsg = FALSE;
$infomsg = FALSE;

$operate = OP_NONE;
$new = FALSE;
$time = time();
$setting = FALSE;

$url_back = './recfriio.php';
if( isset( $_GET[ 'back' ] ) ) $url_back = trim( urldecode( $_GET[ 'back' ] ) );
if( isset( $_POST[ 'back' ] ) ) $url_back = trim( urldecode( $_POST[ 'back' ] ) );
show_debug( 'url_back = '.$url_back );

$iepg = FALSE;
$url_iepg = FALSE;
if( isset( $_GET[ 'iepg' ] ) ) $url_iepg = trim( urldecode( $_GET[ 'iepg' ] ) );
show_debug( 'url_iepg = '.$url_iepg );


try{

    // iEPG の読み込み
    if( $url_iepg ){

        $operate = OP_EDIT;
        $new = TRUE;

        $setting = get_default_setting();
        get_iepg( $url_iepg, $setting, $iepg, $time );
    }

    else{

        // 操作取得
        $id = FALSE;
        $operate = get_operate( $id, MAXRESERV );

        $reservfile = get_reservfile();
        $reserv_array = array();
        if( file_exists( $reservfile ) ) read_csv( $reservfile, $reserv_array );

        // 更新 / 削除処理
        if( $operate == OP_UPDATE || $operate === OP_DO_DEL ){

            if( $operate === OP_UPDATE ) $setting = &update_reserv( $reserv_array, $id );

            if( $operate === OP_DO_DEL ) remove_reserv( $reserv_array, $id );

            // crontab 登録
            regist_crontab( $reserv_array );

            $reservfile = get_reservfile();
            if( count( $reserv_array ) ) save_csv( $reservfile, $reserv_array );
            else unlink( $reservfile );
        }

        else{

            $setting = get_setting_by_id( $id, $reserv_array );
            if( $id && ! $setting ){
                throw new Exception( 'エラー(reservedit) : 予約設定が存在しません。' );
            }
 
            // 新規追加
            if( $operate == OP_EDIT && ! $setting ){

                $new = TRUE;
                $setting = get_default_setting();
            }
        }
    }

    if( $new ){

        $setting[ SET_MONTH ] = (int)date( 'm', $time );
        $setting[ SET_DAY ] = (int)date( 'd', $time );
        $setting[ SET_HOUR ] = (int)date( 'H', $time );
        $setting[ SET_MIN ] = (int)date( 'i', $time );
        $setting[ SET_SUN + ( (int)date( 'w', $time )%7 ) ] = TRUE;
        $setting[ SET_SLEEPSEC ] = 60 - MARGINSEC;

        $setting[ SET_ID ] = time();
    }

}
catch( Exception $e ){ $errmsg = $e->getMessage(); }


// 設定のエラー内容の表示
if( $setting && $setting[ SET_ERRCODE ] ){

     $infomsg = get_errmsg( $setting, $reserv_array );
}


// 編集項目に間違いがあったのでもう一度編集をやり直す
if( $infomsg || $errmsg ){

    if( $operate == OP_UPDATE ) $operate = OP_EDIT;
    if( $operate == OP_DO_DEL ) $operate = OP_DEL;
}


/////////////////////////////////


// 表示


// 更新 / 削除成功
if( $operate == OP_UPDATE || $operate == OP_DO_DEL ){

    // 自動で元の画面に戻す
    if( ! _DEBUG ) header( 'Location: '.$url_back );

    show_header( FALSE, FALSE );
    print( '予約情報を更新しました。自動的に元の画面に戻らない場合は下のボタンを押してください。<br /><br /><input type="button" onclick=location.href="'.$url_back.'" value="戻る">' );
    show_footer();
}


// 削除確認
else if( $operate == OP_DEL ){

    show_header( FALSE, FALSE );
    print( '<div class="title">予約情報削除確認</div>' );

    if( $infomsg ) show_err( $infomsg );

    if( $setting ){

        print( '<form action="./reservedit.php" method="post">'.
               '<input type="hidden" name="back" value="'.rawurlencode( $url_back ).'">'
            );

        show_reservedit( $setting, TRUE );

        print(
            '<input type="hidden" name="id" value="'.$setting[ SET_ID ].'">'.
            '以上の設定を削除しますか？ <input type="submit" name="do_del" value="削除">'.
            ' <input type="button" onclick=location.href="'.$url_back.'" value="キャンセル">'.
            '</form>' 
            );
    }

    if( $errmsg ) show_err( $errmsg );

    if( ! $setting ){
        print( '<input type="button" onclick=location.href="'.$url_back.'" value="戻る">' );
    }

    show_footer();
}


// 編集、追加
else if( $operate == OP_EDIT ){

    show_header( FALSE, 'toggle_items()' );

    print(
        '<script language="JavaScript">'.
        "<!--\n".

        'function toggle_items(){'.
        '    val = document.getElementById( "once" ).checked;'.
        '    document.getElementById( "month" ).disabled = ! val;'.
        '    document.getElementById( "day" ).disabled = ! val;'.
        '    document.getElementById( "sun" ).disabled = val;'.
        '    document.getElementById( "mon" ).disabled = val;'.
        '    document.getElementById( "tue" ).disabled = val;'.
        '    document.getElementById( "wed" ).disabled = val;'.
        '    document.getElementById( "thu" ).disabled = val;'.
        '    document.getElementById( "fri" ).disabled = val;'.
        '    document.getElementById( "sat" ).disabled = val;'.
        '    document.getElementById( "every" ).disabled = val;'.
        '}'.

        'function check_week(){'.
        '    document.getElementById( "month" ).checked = true;;'.
        '    document.getElementById( "day" ).checked = true;'.
        '    document.getElementById( "sun" ).checked = true;'.
        '    document.getElementById( "mon" ).checked = true;'.
        '    document.getElementById( "tue" ).checked = true;'.
        '    document.getElementById( "wed" ).checked = true;'.
        '    document.getElementById( "thu" ).checked = true;'.
        '    document.getElementById( "fri" ).checked = true;'.
        '    document.getElementById( "sat" ).checked = true;'.
        '}'.

        '//-->'.
        '</script>'
    );

    if( $new && ! $url_iepg ) print(
        '<form action="./reservedit.php?back='.rawurlencode( $url_back ).'" method="get">'.
        'iEPGから設定 : アドレス <input type="text" size=40 name="iepg" value="'.$url_iepg.'">'.
        '<input type="submit" value="読み込み">'.
        '</form>'
    );

    print( '<div class="title">予約情報'.( $new ? '追加' : '編集' ).'</div>' );

    if( $infomsg ) show_err( $infomsg );

    if( $setting ){

        print( '<form action="./reservedit.php" method="post">'.
               '<input type="hidden" name="back" value="'.rawurlencode( $url_back ).'">'
            );

        show_reservedit( $setting, FALSE );

        print(
            '<input type="hidden" name="id" value="'.$setting[ SET_ID ].'">'.
            '<input type="submit" name="update" value="'.( $new ? '追加' : '更新' ).'">'.
            ' <input type="button" onclick=location.href="'.$url_back.'" value="キャンセル">'.
            '</form>'
        );

        if( $iepg ) print( '<br />iEPGの内容<br /><textarea cols="60" rows="15">'.$iepg.'</textarea>' );
    }

    if( $errmsg ) show_err( $errmsg );

    if( ! $setting ){
        print( '<input type="button" onclick=location.href="'.$url_back.'" value="戻る">' );
    }

    show_footer();
}


?>

